*** It Is Like Finding a Polar Bear in the Savannah! Concept-level AI Explanations with Analogical Inference from Commonsense Knowledge. ***
Authors: Gaole He, Agathe Balayn, Stefan Buijsman, Jie Yang, Ujwal Gadiraju.
Web Information Systems Group, Faculty of EEMCS, Delft University of Technology

Corresponding author: Ujwal Gadiraju
Contact Information:
u.k.gadiraju@tudelft.nl

Delft University of Technology - Faculty of EEMCS, Department of Software Technology, Web Information Systems Group
Building 28, Van Mourik Broekmanweg 6
2628 XE Delft
The Netherlands

***General Introduction***
This dataset contains data collected during experiments at Delft University of Technology, as part of Gaole He's PhD Thesis project: It is being made public both to act as supplementary data for publications and the PhD thesis of Gaole He and in order for other researchers to use this data in their own work.

The data in this data set was collected in the Web Information Systems Group, Faculty of EEMCS, between June 2022 and July 2022.


***Purpose of the dataset***
The purpose of these experiments was to investigate how the quality of analogy-based explanations will affect the perceived helpfulness of analogy-based explanations.


***Description of the data in this data set***
The dataset consists of generated analogies and expert evaluation of generated analogies: 

Analogies are collected from Prolific Platform.
- generated_analogies.csv contains the following columns:
  - `participant_id`, anonymized participant id used in our data collection 
  - `task_id`, task ID. It includes two topics calorie prediction (T001, T002, T006) and room prediction (T008_2, T009_1, T010_2)
  - `concept`, the main concept appeared in each task
  - `label`, ground truth label asscociated with each task
  - `analogy`, generated analogy-based explanation

The expert conducted structured evaluation for analogy-based explanations. There are substantial overlap between the five experts (E1, E2, E3, E4, E5).

These files contains the following columns:
- `Analogy_evaluation_expert - {expert ID}.csv`
  - `participant_id`, anonymized participant id used in our data collection 
  - `task_id`, task ID. It includes two topics calorie prediction (T001, T002, T006) and room prediction (T008_2, T009_1, T010_2)
  - `concept`, the main concept appeared in each task
  - `label`, ground truth label asscociated with each task
  - `analogy`, generated analogy-based explanation
  - `valid`, whether this analogy can be used to explain the model prediction. [Yes | No]
  - `Syntactic correctness`: Whether the analogy sentence is syntactically correct?  [Yes | No]
  - `Factual Correctness`: Whether it describes a fact about real world? Can we switch it to make it factual? (switch concept A and concept B in template) [Yes | No]
  - `Misunderstanding`: whether the generated analogy can cause misunderstanding. [Yes w/o switch | Yes & switch | No]
  - `structural correspondence`: How well can you align the properties of the explanation concepts to the properties of the concepts in the target sentence? 5-point Likert scale
  - `Relational similarity`: How similar do you perceive the relationship between concepts in the explanation and the relationship between concepts in the target sentence? 5-point Likert scale
  - `Familiarity`: How familiar are you with the concepts in the explanation? 5-point Likert scale
  - `Helpfulness`: How helpful is this explanation for you to understand the target sentence? 5-point Likert scale
  - `Transferability`: How well can the explanation be used in other contexts? 5-point Likert scale
  - `Simplicity`: Do you think the explanation is simple enough for others to understand? 5-point Likert scale
  - `Domain`: The domain of generated analogies.
  - `Relation Type`: The relation reflected in the generated analogies.

More details about the annotation manual can be found at [here](https://github.com/delftcrowd/HCOMP2022_ARCHIE/tree/main/annotation_manual)


***Code Usage***

python code used in data analysis:

- calc_Krippendorf_alpha.py: calculate the agreement between expert evaluation of analogy quality
- calc_spearman_correlation.py: calculate the Spearman correlation between analogy quality and perceived helpfulness
- compared_calorie_place.py: compare the difference in evaluation of analogies generated based on calorie prediction task and place prediction task
- statistics_analysis_plot.py: generate box plot used in our paper



